Package ru.bgcrm.model.param

# Class ParameterAddressValue

java.lang.Object
ru.bgcrm.model.param.ParameterAddressValue

public class ParameterAddressValue extends Object
Value of parameter with type address

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterAddressValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  `String`
  `formatValue(Connection con)`
  `String`
  `formatValue(Connection con, String formatName)`
  `String`
  `getComment()`
  `String`
  `getFlat()`
  `Integer`
  `getFloor()`
  `AddressHouse`
  `getHouse()`
  `int`
  `getHouseId()`
  `int`
  `getPod()`
  `String`
  `getRoom()`
  `String`
  `getValue()`
  `void`
  `setComment(String comment)`
  `void`
  `setFlat(String flat)`
  `void`
  `setFloor(Integer value)`
  `void`
  `setHouse(AddressHouse house)`
  `void`
  `setHouseId(int houseId)`
  `void`
  `setPod(int pod)`
  `void`
  `setRoom(String room)`
  `void`
  `setValue(String value)`
  `String`
  `toString()`
  `ParameterAddressValue`
  `withFlat(String flat)`
  `ParameterAddressValue`
  `withHouseId(int houseId)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParameterAddressValue

    public ParameterAddressValue()

- ## Method Details

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public void setHouseId(int houseId)

  - ### withHouseId

    public ParameterAddressValue withHouseId(int houseId)

  - ### getFlat

    public String getFlat()

  - ### setFlat

    public void setFlat(String flat)

  - ### withFlat

    public ParameterAddressValue withFlat(String flat)

  - ### getRoom

    public String getRoom()

  - ### setRoom

    public void setRoom(String room)

  - ### getPod

    public int getPod()

  - ### setPod

    public void setPod(int pod)

  - ### getFloor

    public Integer getFloor()

  - ### setFloor

    public void setFloor(Integer value)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getHouse

    public AddressHouse getHouse()

  - ### setHouse

    public void setHouse(AddressHouse house)

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue(String value)

  - ### formatValue

    public String formatValue(Connection con) throws SQLException
    Throws:
      `SQLException`

  - ### formatValue

    public String formatValue(Connection con, String formatName) throws SQLException
    Throws:
      `SQLException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object object)
    Overrides:
      `equals` in class `Object`